org.apache.ivy.osgi.repo

## Class RepositoryManifestIterable

- java.lang.Object
- - org.apache.ivy.osgi.repo.AbstractFSManifestIterable<java.lang.String>
  - - org.apache.ivy.osgi.repo.RepositoryManifestIterable

All Implemented Interfaces:
  java.lang.Iterable<ManifestAndLocation>

    public class RepositoryManifestIterable
    extends AbstractFSManifestIterable<java.lang.String>

### Constructor Summary

Constructors
Constructor and Description
`RepositoryManifestIterable(Repository repo)` Default constructor

### Method Summary

Methods
`protected java.net.URI` `buildBundleURI(java.lang.String location)`
`protected java.io.InputStream` `getInputStream(java.lang.String f)`
`protected java.util.List<java.lang.String>` `listBundleFiles(java.lang.String dir)`
`protected java.util.List<java.lang.String>` `listDirs(java.lang.String dir)`

### Methods inherited from class org.apache.ivy.osgi.repo.AbstractFSManifestIterable

`iterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RepositoryManifestIterable

    public RepositoryManifestIterable(Repository repo)

Default constructor

Parameters:
  `root` - the root directory of the file system to lookup

### Method Detail

#### buildBundleURI

    protected java.net.URI buildBundleURI(java.lang.String location)
                                   throws java.io.IOException

Specified by:
  `buildBundleURI` in class `AbstractFSManifestIterable<java.lang.String>`
Throws:
  `java.io.IOException`

#### getInputStream

    protected java.io.InputStream getInputStream(java.lang.String f)
                                          throws java.io.IOException

Specified by:
  `getInputStream` in class `AbstractFSManifestIterable<java.lang.String>`
Throws:
  `java.io.IOException`

#### listBundleFiles

    protected java.util.List<java.lang.String> listBundleFiles(java.lang.String dir)
                                                        throws java.io.IOException

Specified by:
  `listBundleFiles` in class `AbstractFSManifestIterable<java.lang.String>`
Throws:
  `java.io.IOException`

#### listDirs

    protected java.util.List<java.lang.String> listDirs(java.lang.String dir)
                                                 throws java.io.IOException

Specified by:
  `listDirs` in class `AbstractFSManifestIterable<java.lang.String>`
Throws:
  `java.io.IOException`